> ## Documentation Index
> Fetch the complete documentation index at: https://portal.itscovered.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Close Loan Application

> Close a loan application, and optionally provide external insurance details



## OpenAPI

````yaml PATCH /v1/loans/{id}/close
openapi: 3.1.0
info:
  description: Development documentation
  title: Lenders API
  version: 1.4.0
servers:
  - url: https://sandbox-api.itscovered.com/lenders
security: []
tags:
  - description: Health check
    name: health
  - description: Loans
    name: loans
  - description: Policies
    name: policies
  - description: Authentication
    name: auth
paths:
  /v1/loans/{id}/close:
    patch:
      tags:
        - loans
      summary: Close Loan Application
      description: >-
        Close a loan application, and optionally provide external insurance
        details
      operationId: patchV1LoansByIdClose
      parameters:
        - description: The unique identifier of the loan application
          in: path
          name: id
          required: true
          schema:
            example: 693f2f46-69ff-4f20-a4d9-abe982d34fd4
            type: string
      requestBody:
        content:
          application/json:
            schema:
              properties:
                externalInsurance:
                  description: >-
                    External insurance details, when customer specified that
                    they had obtained insurance elsewhere (if applicable)
                  properties:
                    carrier:
                      description: Name of the insurance carrier
                      example: Example Insurance Co.
                      minLength: 1
                      type: string
                    coverageA:
                      description: Coverage A amount in USD
                      example: 250000
                      minimum: 0
                      type: number
                    premium:
                      description: Annual premium amount in USD
                      example: 1200
                      minimum: 0
                      type: number
                  title: External Insurance Details
                  type: object
              type: object
          multipart/form-data:
            schema:
              properties:
                externalInsurance:
                  description: >-
                    External insurance details, when customer specified that
                    they had obtained insurance elsewhere (if applicable)
                  properties:
                    carrier:
                      description: Name of the insurance carrier
                      example: Example Insurance Co.
                      minLength: 1
                      type: string
                    coverageA:
                      description: Coverage A amount in USD
                      example: 250000
                      minimum: 0
                      type: number
                    premium:
                      description: Annual premium amount in USD
                      example: 1200
                      minimum: 0
                      type: number
                  title: External Insurance Details
                  type: object
              type: object
          text/plain:
            schema:
              properties:
                externalInsurance:
                  description: >-
                    External insurance details, when customer specified that
                    they had obtained insurance elsewhere (if applicable)
                  properties:
                    carrier:
                      description: Name of the insurance carrier
                      example: Example Insurance Co.
                      minLength: 1
                      type: string
                    coverageA:
                      description: Coverage A amount in USD
                      example: 250000
                      minimum: 0
                      type: number
                    premium:
                      description: Annual premium amount in USD
                      example: 1200
                      minimum: 0
                      type: number
                  title: External Insurance Details
                  type: object
              type: object
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  success:
                    example: true
                    type: boolean
                required:
                  - success
                type: object
            multipart/form-data:
              schema:
                properties:
                  success:
                    example: true
                    type: boolean
                required:
                  - success
                type: object
            text/plain:
              schema:
                properties:
                  success:
                    example: true
                    type: boolean
                required:
                  - success
                type: object
          description: Indicates that the loan application was closed successfully
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    example: Failed to close loan application
                    type: string
                required:
                  - error
                type: object
            multipart/form-data:
              schema:
                properties:
                  error:
                    example: Failed to close loan application
                    type: string
                required:
                  - error
                type: object
            text/plain:
              schema:
                properties:
                  error:
                    example: Failed to close loan application
                    type: string
                required:
                  - error
                type: object
          description: Error response when closing loan application
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Token
      scheme: bearer
      type: http

````